Subject: bug#76629: closed (Re: bug#76629: NS click events don't select right window)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Mar 2025 01:20:03 +0000

Your bug report

#76629: NS click events don't select right window

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76629: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76629
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76629: NS click events don't select right window
From: Stefan Kangas <[email-masked]>
To: Daniel Colascione <[email-masked]>, Ship Mints <[email-masked]>
Cc: [email-masked]
Date: Sun, 2 Mar 2025 17:18:55 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Daniel Colascione <[email-masked]> writes:

> Ship Mints <[email-masked]> writes:
>
> Please don't top-post.
>
>> I'm on 12.7.6, perhaps this is associated with behavioral changes in later
>> macOS releases.  Do you have an example of another application you switch
>> to when you see this behavior?  I switch to Chrome or another Emacs session
>> or Terminal.app and back and I don't see the issue.  The window I last
>> selected remains selected and if I click in any other window, that one is
>> correctly selected.  I tried again both with my configuration and on master
>> with -Q and it seems fine.
>
> That's a pretty old version.  It's also after EOL, so you're risking
> security problems by not upgrading.
>
> As for the click change ---- who knows? Maybe Apple has
> changed something. Emacs works fine on master now.

Thanks, I can confirm that this is fixed by your commit
354598874061ab9ecb9362d7ac4233494b51252b.

I'm therefore closing this bug report.

Subject: NS click events don't select right window
From: Daniel Colascione <[email-masked]>
To: "Eshel Yaron via Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]>
Date: Thu, 27 Feb 2025 22:51:18 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Say we have a NS Emacs frame with two windows --- let's say L and R.
We select L, then switch to another app on the OS.  Then we click on the
Emacs window in the area owned by R.  I observe Emacs being focused but
the selected window being L!  If I click in exactly the same spot again,
*then* R is selected.  But I need two clicks where one should suffice.